﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.MaBranch

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#Startdate").datepicker();

            $("#btnCancel").click(function () {
                window.location.href = "/MaBranch/Index";

            });

        });
    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Edit Branch</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>

        <li class="active">Dashboard</li>
    </ul>



    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />

                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 560px">
                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.Cdate)
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.BramchName)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.BramchName)
                                        @Html.ValidationMessageFor(model => model.BramchName)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Code *
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Code)
                                        @Html.ValidationMessageFor(model => model.Code)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.Area)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Area)
                                        @Html.ValidationMessageFor(model => model.Area)
                                    </td>
                                </tr>
                                <tr>
                                    <td valign="top">
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.Address)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Address)
                                        @Html.ValidationMessageFor(model => model.Address)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.City)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.City)
                                        @Html.ValidationMessageFor(model => model.City)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Startdate)
                                                </td>

                                                <td></td>

                                            </tr>
                                        </table>

                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.Startdate, "{0:MM/dd/yyyy}")
                                        @Html.ValidationMessageFor(model => model.Startdate)

                                    </td>
                                </tr>

                                <tr>
                                    <td>@Html.LabelFor(model => model.ContactPerson)</td>
                                    <td>
                                        @Html.EditorFor(model => model.ContactPerson)
                                        @Html.ValidationMessageFor(model => model.ContactPerson)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.MobileNo1)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.MobileNo1, new { MaxLength = "10" })
                                        @Html.ValidationMessageFor(model => model.MobileNo1)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.MobileNo2)
                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.MobileNo2, new { MaxLength = "10" })
                                        @Html.ValidationMessageFor(model => model.MobileNo2)
                                    </td>
                                </tr>
                                <tr>
                                    <td>@Html.LabelFor(model => model.Phone)</td>
                                    <td>
                                        @Html.EditorFor(model => model.Phone)
                                        @Html.ValidationMessageFor(model => model.Phone)
                                    </td>
                                </tr>
                                <tr>
                                    <td>@Html.LabelFor(model => model.Email)</td>
                                    <td>
                                        @Html.EditorFor(model => model.Email)
                                        @Html.ValidationMessageFor(model => model.Email)
                                    </td>
                                </tr>

                                <tr>
                                    <td>@Html.LabelFor(model => model.SkipIP)</td>
                                    <td>
                                        @Html.CheckBoxFor(model => model.SkipIP)
                                    @Html.ValidationMessageFor(model => model.SkipIP)
                                </td>
                            </tr>
                                <tr>
                                    <td>Bg Color</td>
                                    <td>
                                        @Html.TextBoxFor(model => model.BgColor)
                                        
                                    <a href="https://htmlcolorcodes.com/" target="_blank">Create Color Code</a>
                                        <br />
                                        <span style="color:gray">use # with color code</span>
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
                <div class="tab-pane fade" id="profile">
                    <form id="tab2">
                        <label>New Password</label>
                        <input type="password" class="input-xlarge">
                        <div>
                            <button class="btn btn-primary">Update</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>

        <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h3 id="myModalLabel">Delete Confirmation</h3>
            </div>
            <div class="modal-body">

                <p class="error-text"><i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the user?</p>
            </div>
            <div class="modal-footer">
                <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
                <button class="btn btn-danger" data-dismiss="modal">Delete</button>
            </div>
        </div>



        <footer>
            <hr>

            <p class="pull-right">
                <a href="#" target="_blank"></a><a href="#" target="_blank">

                    @Html.ActionLink("Back to List", "Index")

                </a>
            </p>


            <!--  <p>&copy; 2012 <a href="#" target="_blank">Portnine</a></p>-->
        </footer>


    </div>
</div>

            }
